List Tokens
curl --request GET \
--url https://mapi.zbx.com/v1/currency/list/tokens \
--header 'X-API-KEY: <api-key>'import requests
url = "https://mapi.zbx.com/v1/currency/list/tokens"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://mapi.zbx.com/v1/currency/list/tokens', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://mapi.zbx.com/v1/currency/list/tokens",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://mapi.zbx.com/v1/currency/list/tokens"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-KEY", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://mapi.zbx.com/v1/currency/list/tokens")
.header("X-API-KEY", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://mapi.zbx.com/v1/currency/list/tokens")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-KEY"] = '<api-key>'
response = http.request(request)
puts response.read_body[
{
"type": "Digital",
"symbol": "DAI",
"name": "Dai",
"address": "0x1AF3F329e8BE154074D8769D1FFa4eE058B1DBc3",
"prefix": "",
"decimals": 18,
"chain_id": 56
},
{
"type": "Digital",
"symbol": "ETH",
"name": "Ethereum",
"address": "",
"prefix": "",
"decimals": 18,
"chain_id": 1
},
{
"type": "Digital",
"symbol": "BNB",
"name": "BNB",
"address": "",
"prefix": "",
"decimals": 18,
"chain_id": 56
},
{
"type": "Digital",
"symbol": "SOL",
"name": "SOL",
"address": "",
"prefix": "",
"decimals": 9,
"chain_id": 1399811149
},
{
"type": "Digital",
"symbol": "TRX",
"name": "TRON",
"address": "",
"prefix": "",
"decimals": 6,
"chain_id": -200
},
{
"type": "Digital",
"symbol": "MATIC",
"name": "MATIC",
"address": "",
"prefix": "",
"decimals": 18,
"chain_id": 137
},
{
"type": "Digital",
"symbol": "DAI",
"name": "Dai Stablecoin",
"address": "0x50c5725949A6F0c72E6C4a641F24049A917DB0Cb",
"prefix": "",
"decimals": 18,
"chain_id": 8453
},
{
"type": "Digital",
"symbol": "BTC",
"name": "Bitcoin",
"address": "",
"prefix": "",
"decimals": 8,
"chain_id": 20090103
},
{
"type": "Digital",
"symbol": "USDC",
"name": "USDC",
"address": "EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v",
"prefix": "",
"decimals": 6,
"chain_id": 1399811149
},
{
"type": "Digital",
"symbol": "USDT",
"name": "Tether USD",
"address": "EQCxE6mUtQJKFnGfaROTKOt1lZbDiiX1kCixRv7Nw2Id_sDs",
"prefix": "",
"decimals": 6,
"chain_id": 201514
},
{
"type": "Digital",
"symbol": "USDC",
"name": "USDC",
"address": "0x8AC76a51cc950d9822D68b83fE1Ad97B32Cd580d",
"prefix": "",
"decimals": 18,
"chain_id": 56
},
{
"type": "Digital",
"symbol": "USDT",
"name": "Tether USDt",
"address": "0x55d398326f99059fF775485246999027B3197955",
"prefix": "",
"decimals": 18,
"chain_id": 56
},
{
"type": "Digital",
"symbol": "DAI",
"name": "Dai",
"address": "0x8f3Cf7ad23Cd3CaDbD9735AFf958023239c6A063",
"prefix": "",
"decimals": 18,
"chain_id": 137
},
{
"type": "Digital",
"symbol": "USDC",
"name": "USDCoin",
"address": "0x3c499c542cEF5E3811e1192ce70d8cC03d5c3359",
"prefix": "",
"decimals": 6,
"chain_id": 137
},
{
"type": "Digital",
"symbol": "USDC",
"name": "USD Coin",
"address": "0x833589fCD6eDb6E08f4c7C32D4f71b54bdA02913",
"prefix": "",
"decimals": 6,
"chain_id": 8453
},
{
"type": "Digital",
"symbol": "ARB",
"name": "Arbitrum",
"address": "0x912CE59144191C1204E64559FE8253a0e49E6548",
"prefix": "",
"decimals": 18,
"chain_id": 42161
},
{
"type": "Digital",
"symbol": "DAI",
"name": "Dai",
"address": "0x6B175474E89094C44Da98b954EedeAC495271d0F",
"prefix": "",
"decimals": 18,
"chain_id": 1
},
{
"type": "Digital",
"symbol": "DAI",
"name": "Dai",
"address": "0xDA10009cBd5D07dd0CeCc66161FC93D7c9000da1",
"prefix": "",
"decimals": 18,
"chain_id": 42161
},
{
"type": "Digital",
"symbol": "USDT",
"name": "Tether USDt",
"address": "0xdAC17F958D2ee523a2206206994597C13D831ec7",
"prefix": "",
"decimals": 6,
"chain_id": 1
},
{
"type": "Digital",
"symbol": "USDT",
"name": "Tether USDt",
"address": "0xc2132D05D31c914a87C6611C10748AEb04B58e8F",
"prefix": "",
"decimals": 6,
"chain_id": 137
},
{
"type": "Digital",
"symbol": "USDT",
"name": "Tether USDt",
"address": "Es9vMFrzaCERmJfrF4H2FYD4KCoNkY11McCe8BenwNYB",
"prefix": "",
"decimals": 6,
"chain_id": 1399811149
},
{
"type": "Digital",
"symbol": "USDC",
"name": "USDC",
"address": "0xaf88d065e77c8cC2239327C5EDb3A432268e5831",
"prefix": "",
"decimals": 6,
"chain_id": 42161
},
{
"type": "Digital",
"symbol": "USDT",
"name": "Tether USDt",
"address": "0xFd086bC7CD5C481DCC9C85ebE478A1C0b69FCbb9",
"prefix": "",
"decimals": 6,
"chain_id": 42161
},
{
"type": "Digital",
"symbol": "TON",
"name": "Toncoin",
"address": "",
"prefix": "",
"decimals": 9,
"chain_id": 201514
},
{
"type": "Digital",
"symbol": "USDC",
"name": "USDC",
"address": "0xA0b86991c6218b36c1d19D4a2e9Eb0cE3606eB48",
"prefix": "",
"decimals": 6,
"chain_id": 1
},
{
"type": "Digital",
"symbol": "WETH",
"name": "WETH",
"address": "0xC02aaA39b223FE8D0A0e5C4F27eAD9083C756Cc2",
"prefix": "",
"decimals": 18,
"chain_id": 1
},
{
"type": "Digital",
"symbol": "USDT",
"name": "Tether USD",
"address": "TR7NHqjeKQxGTCi8q8ZY4pL8otSzgjLj6t",
"prefix": "",
"decimals": 6,
"chain_id": -200
}
]{
"error": {
"code": 400,
"errors": [
{
"domain": "orders",
"reason": "InsufficientQuantity"
}
],
"message": "Insufficient quantity"
}
}{
"error": {
"code": 400,
"errors": [
{
"domain": "orders",
"reason": "InsufficientQuantity"
}
],
"message": "Insufficient quantity"
}
}{
"error": {
"code": 400,
"errors": [
{
"domain": "orders",
"reason": "InsufficientQuantity"
}
],
"message": "Insufficient quantity"
}
}Networks
List Tokens
Enabled tokens. Pass chain_ids to limit the result to those chains. The body is a JSON array, not the data envelope. The example is a production snapshot; the live list is whatever is enabled for the API host. A host with no token catalog returns 404.
GET
/
currency
/
list
/
tokens
List Tokens
curl --request GET \
--url https://mapi.zbx.com/v1/currency/list/tokens \
--header 'X-API-KEY: <api-key>'import requests
url = "https://mapi.zbx.com/v1/currency/list/tokens"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://mapi.zbx.com/v1/currency/list/tokens', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://mapi.zbx.com/v1/currency/list/tokens",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://mapi.zbx.com/v1/currency/list/tokens"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-KEY", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://mapi.zbx.com/v1/currency/list/tokens")
.header("X-API-KEY", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://mapi.zbx.com/v1/currency/list/tokens")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-KEY"] = '<api-key>'
response = http.request(request)
puts response.read_body[
{
"type": "Digital",
"symbol": "DAI",
"name": "Dai",
"address": "0x1AF3F329e8BE154074D8769D1FFa4eE058B1DBc3",
"prefix": "",
"decimals": 18,
"chain_id": 56
},
{
"type": "Digital",
"symbol": "ETH",
"name": "Ethereum",
"address": "",
"prefix": "",
"decimals": 18,
"chain_id": 1
},
{
"type": "Digital",
"symbol": "BNB",
"name": "BNB",
"address": "",
"prefix": "",
"decimals": 18,
"chain_id": 56
},
{
"type": "Digital",
"symbol": "SOL",
"name": "SOL",
"address": "",
"prefix": "",
"decimals": 9,
"chain_id": 1399811149
},
{
"type": "Digital",
"symbol": "TRX",
"name": "TRON",
"address": "",
"prefix": "",
"decimals": 6,
"chain_id": -200
},
{
"type": "Digital",
"symbol": "MATIC",
"name": "MATIC",
"address": "",
"prefix": "",
"decimals": 18,
"chain_id": 137
},
{
"type": "Digital",
"symbol": "DAI",
"name": "Dai Stablecoin",
"address": "0x50c5725949A6F0c72E6C4a641F24049A917DB0Cb",
"prefix": "",
"decimals": 18,
"chain_id": 8453
},
{
"type": "Digital",
"symbol": "BTC",
"name": "Bitcoin",
"address": "",
"prefix": "",
"decimals": 8,
"chain_id": 20090103
},
{
"type": "Digital",
"symbol": "USDC",
"name": "USDC",
"address": "EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v",
"prefix": "",
"decimals": 6,
"chain_id": 1399811149
},
{
"type": "Digital",
"symbol": "USDT",
"name": "Tether USD",
"address": "EQCxE6mUtQJKFnGfaROTKOt1lZbDiiX1kCixRv7Nw2Id_sDs",
"prefix": "",
"decimals": 6,
"chain_id": 201514
},
{
"type": "Digital",
"symbol": "USDC",
"name": "USDC",
"address": "0x8AC76a51cc950d9822D68b83fE1Ad97B32Cd580d",
"prefix": "",
"decimals": 18,
"chain_id": 56
},
{
"type": "Digital",
"symbol": "USDT",
"name": "Tether USDt",
"address": "0x55d398326f99059fF775485246999027B3197955",
"prefix": "",
"decimals": 18,
"chain_id": 56
},
{
"type": "Digital",
"symbol": "DAI",
"name": "Dai",
"address": "0x8f3Cf7ad23Cd3CaDbD9735AFf958023239c6A063",
"prefix": "",
"decimals": 18,
"chain_id": 137
},
{
"type": "Digital",
"symbol": "USDC",
"name": "USDCoin",
"address": "0x3c499c542cEF5E3811e1192ce70d8cC03d5c3359",
"prefix": "",
"decimals": 6,
"chain_id": 137
},
{
"type": "Digital",
"symbol": "USDC",
"name": "USD Coin",
"address": "0x833589fCD6eDb6E08f4c7C32D4f71b54bdA02913",
"prefix": "",
"decimals": 6,
"chain_id": 8453
},
{
"type": "Digital",
"symbol": "ARB",
"name": "Arbitrum",
"address": "0x912CE59144191C1204E64559FE8253a0e49E6548",
"prefix": "",
"decimals": 18,
"chain_id": 42161
},
{
"type": "Digital",
"symbol": "DAI",
"name": "Dai",
"address": "0x6B175474E89094C44Da98b954EedeAC495271d0F",
"prefix": "",
"decimals": 18,
"chain_id": 1
},
{
"type": "Digital",
"symbol": "DAI",
"name": "Dai",
"address": "0xDA10009cBd5D07dd0CeCc66161FC93D7c9000da1",
"prefix": "",
"decimals": 18,
"chain_id": 42161
},
{
"type": "Digital",
"symbol": "USDT",
"name": "Tether USDt",
"address": "0xdAC17F958D2ee523a2206206994597C13D831ec7",
"prefix": "",
"decimals": 6,
"chain_id": 1
},
{
"type": "Digital",
"symbol": "USDT",
"name": "Tether USDt",
"address": "0xc2132D05D31c914a87C6611C10748AEb04B58e8F",
"prefix": "",
"decimals": 6,
"chain_id": 137
},
{
"type": "Digital",
"symbol": "USDT",
"name": "Tether USDt",
"address": "Es9vMFrzaCERmJfrF4H2FYD4KCoNkY11McCe8BenwNYB",
"prefix": "",
"decimals": 6,
"chain_id": 1399811149
},
{
"type": "Digital",
"symbol": "USDC",
"name": "USDC",
"address": "0xaf88d065e77c8cC2239327C5EDb3A432268e5831",
"prefix": "",
"decimals": 6,
"chain_id": 42161
},
{
"type": "Digital",
"symbol": "USDT",
"name": "Tether USDt",
"address": "0xFd086bC7CD5C481DCC9C85ebE478A1C0b69FCbb9",
"prefix": "",
"decimals": 6,
"chain_id": 42161
},
{
"type": "Digital",
"symbol": "TON",
"name": "Toncoin",
"address": "",
"prefix": "",
"decimals": 9,
"chain_id": 201514
},
{
"type": "Digital",
"symbol": "USDC",
"name": "USDC",
"address": "0xA0b86991c6218b36c1d19D4a2e9Eb0cE3606eB48",
"prefix": "",
"decimals": 6,
"chain_id": 1
},
{
"type": "Digital",
"symbol": "WETH",
"name": "WETH",
"address": "0xC02aaA39b223FE8D0A0e5C4F27eAD9083C756Cc2",
"prefix": "",
"decimals": 18,
"chain_id": 1
},
{
"type": "Digital",
"symbol": "USDT",
"name": "Tether USD",
"address": "TR7NHqjeKQxGTCi8q8ZY4pL8otSzgjLj6t",
"prefix": "",
"decimals": 6,
"chain_id": -200
}
]{
"error": {
"code": 400,
"errors": [
{
"domain": "orders",
"reason": "InsufficientQuantity"
}
],
"message": "Insufficient quantity"
}
}{
"error": {
"code": 400,
"errors": [
{
"domain": "orders",
"reason": "InsufficientQuantity"
}
],
"message": "Insufficient quantity"
}
}{
"error": {
"code": 400,
"errors": [
{
"domain": "orders",
"reason": "InsufficientQuantity"
}
],
"message": "Insufficient quantity"
}
}Authorizations
Query Parameters
Comma-separated chain IDs. Omit to return every enabled token.
Response
OK
Token contract address. Empty for the chain native asset.
Chain ID this token is issued on.
CoinGecko identifier. Omitted when unset.
CoinMarketCap identifier. Omitted when unset.
Token decimals.
Display name.
Display prefix. Empty for tokens returned by this endpoint.
Token symbol, for example USDC.
Always Digital.
Available options:
Fiat, Digital